﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.SharePoint.Client;

namespace TestCustomList.App
{
    public partial class AddItem : PhoneApplicationPage
    {
        public AddItem()
        {
            InitializeComponent();
        }

        private void AddButton_Click(object sender, RoutedEventArgs e)
        {
            var web = App.Context.Web;
            List Customlist = web.Lists.GetByTitle("TestCustomList");
            ListItemCreationInformation itemCreateInfo = new ListItemCreationInformation();
            ListItem oListItem = Customlist.AddItem(itemCreateInfo);
            oListItem["Title"] = TitleTextBox.Text;
            oListItem["Description"] = DescriptionTextBox.Text;
            oListItem.Update();
            App.Context.ExecuteQueryAsync(SucceededCallback, FailedCallback);

            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.Relative));
        }

        private void FailedCallback(object sender, ClientRequestFailedEventArgs args)
        {
            MessageBox.Show("Request Failed");
        }

        private void SucceededCallback(object sender, ClientRequestSucceededEventArgs args)
        {
        }
    }
}